## com.sun.jersey.server.spi.component
Class ResourceComponentConstructor

    java.lang.Object
      com.sun.jersey.server.spi.component.ResourceComponentConstructor

    public class ResourceComponentConstructor

extends java.lang.Object

A constructor of a resource class.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`ResourceComponentConstructor(com.sun.jersey.server.impl.inject.ServerInjectableProviderContext serverInjectableProviderCtx, ComponentScope scope, AbstractResource abstractResource)`

Method Summary
`java.lang.Object` | `construct(HttpContext hc)`
`java.lang.Class` | `getResourceClass()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceComponentConstructor

    public ResourceComponentConstructor(com.sun.jersey.server.impl.inject.ServerInjectableProviderContext serverInjectableProviderCtx,
                                        ComponentScope scope,
                                        AbstractResource abstractResource)

Method Detail

### getResourceClass

    public java.lang.Class getResourceClass()

### construct

    public java.lang.Object construct(HttpContext hc)
                               throws java.lang.InstantiationException,
                                      java.lang.IllegalAccessException,
                                      java.lang.IllegalArgumentException,
                                      java.lang.reflect.InvocationTargetException

  Throws:
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `java.lang.IllegalArgumentException`
    `java.lang.reflect.InvocationTargetException`

Copyright © 2017 Oracle Corporation. All Rights Reserved.